/*
 * The main function and everything related to starting the application
 */

#include <stdio.h>
#include <unistd.h>
#include <pthread.h>

#include "inc-gen/system.h"
#include "inc/Gamepad.h"

int main(int argc, char* argv[]) {
    // start a gamepad thread
    pthread_t pt_gamepad;
    pthread_create(&pt_gamepad, NULL, gp_worker, NULL);

    // start a rover thread
    //pthread_t pt_rover;
    //pthread_create(&pt_rover, NULL, rover_main, NULL);

    // run endlessly
    while(1) {
        run_system();
        usleep(50000);
    }
}
